import React from 'react';
import { Icon, IconProps } from '../Icon';


export const IconFullScreen = (props: IconProps) => {
    return <Icon  id="IconFullScreen" {...props}>
        <path d="M2.61487 2.07686C2.49703 2.12596 2.38672 2.19858 2.29111 2.29468C2.28906 2.29674 2.28702 2.29881 2.28499 2.30088C2.10868 2.48118 2 2.7279 2 3V7.5C2 8.05228 2.44772 8.5 3 8.5C3.55228 8.5 4 8.05228 4 7.5V5.39707L7.29647 8.66042C7.68896 9.04897 8.32212 9.04577 8.71067 8.65328C9.09922 8.26079 9.09602 7.62763 8.70353 7.23908L5.43156 4H7.5C8.05228 4 8.5 3.55228 8.5 3C8.5 2.44772 8.05228 2 7.5 2H3.00034C2.86385 2 2.7334 2.02735 2.61487 2.07686Z" />
        <path d="M8.70353 16.7107C9.09602 16.3221 9.09922 15.689 8.71067 15.2965C8.32212 14.904 7.68896 14.9008 7.29647 15.2893L4 18.5527V16.5C4 15.9477 3.55228 15.5 3 15.5C2.44772 15.5 2 15.9477 2 16.5V21C2 21.5523 2.44772 22 3 22H7.5C8.05228 22 8.5 21.5523 8.5 21C8.5 20.4477 8.05228 20 7.5 20H5.3808L8.70353 16.7107Z" />
        <path d="M15.3432 15.2929C15.7337 14.9024 16.3669 14.9024 16.7574 15.2929L20 18.5355V16.5C20 15.9477 20.4477 15.5 21 15.5C21.5523 15.5 22 15.9477 22 16.5V21C22 21.5523 21.5523 22 21 22H16.5C15.9477 22 15.5 21.5523 15.5 21C15.5 20.4477 15.9477 20 16.5 20H18.6361L15.3432 16.7071C14.9527 16.3166 14.9527 15.6834 15.3432 15.2929Z" />
        <path d="M16.7071 8.65686L20 5.36396V7.5C20 8.05228 20.4477 8.5 21 8.5C21.5523 8.5 22 8.05228 22 7.5V3C22 2.44772 21.5523 2 21 2H16.5C15.9477 2 15.5 2.44772 15.5 3C15.5 3.55228 15.9477 4 16.5 4H18.5355L15.2929 7.24264C14.9024 7.63317 14.9024 8.26633 15.2929 8.65686C15.6834 9.04738 16.3166 9.04738 16.7071 8.65686Z" />
    </Icon>;
};

export default IconFullScreen;
